## org.apache.lucene.analysis.charfilter
Class MappingCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharFilter
              org.apache.lucene.analysis.charfilter.BaseCharFilter
                  org.apache.lucene.analysis.charfilter.MappingCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public class MappingCharFilter

extends BaseCharFilter

Simplistic `CharFilter` that applies the mappings contained in a `NormalizeCharMap` to the character stream, and correcting the resulting changes to the offsets. Matching is greedy (longest pattern matching at a given point wins). Replacement is allowed to be the empty string.

Field Summary

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`MappingCharFilter(NormalizeCharMap normMap, Reader in)` Default constructor that takes a `Reader`.

Method Summary
`int` `read()`
`int` `read(char[] cbuf, int off, int len)`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.charfilter.BaseCharFilter
`addOffCorrectMap, correct, getLastCumulativeDiff`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`close, correctOffset`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingCharFilter

    public MappingCharFilter(NormalizeCharMap normMap,
                             Reader in)

  Default constructor that takes a `Reader`.

Method Detail

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `Reader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.